
#演示 ArrayList<T> 动态数组的操作


#预处理函数: 可配置 MKScript 脚本加载后自动运行
#mkscript_config_auto_start()


#预处理函数: 初始化MKScript窗口大小
mkscript_window_initial_size(500, 400)



#申明一个动态数组(ArrayList)变量
ArrayList<int> idList
 
#添加元素到动态数组中
arraylist_add(idList, 1)
arraylist_add(idList, 3)
arraylist_add(idList, 5)
arraylist_add(idList, 7)
arraylist_add(idList, 9)
 
#获取动态数组的大小
int size = arraylist_get_size(idList)
 
#申明一个 int 类型的变量
int i
 
#输出动态数组中的元素
for i = 0 to size - 1
 
    println("index:" + i + " --> " + arraylist_get(idList, i))
 
next
 
#换行
println("")
 
#申明一个动态数组(ArrayList)变量
ArrayList<string> nameList
 
#添加元素到动态数组中
arraylist_add(nameList, "张三")
arraylist_add(nameList, "李四")
arraylist_add(nameList, "王五")
 
#获取动态数组的大小
size = arraylist_get_size(nameList)
 
#输出动态数组中的元素
for i = 0 to size - 1
 
    println("index:" + i + " --> " + arraylist_get(nameList, i))
 
next
